import { ApiClient } from '../refs/k8s-api';
/**
 * K8S客户端工厂
 * @date 2021-05-27 10:41:41
 * @author 吴锋霖
 */
declare class K8SClientFactory {
    private k8sIdClientMap;
    /**
     * 示例函数fun1
     * @param cloudType 0:阿里云,1:华为云
     */
    init(cloudType: string): Promise<any>;
    private reloadCache;
    /**
     * 获取K8S API客户端
     */
    getClient(id: string): ApiClient;
    /**
     * 获取K8S API客户端
     */
    getAllClients(): Array<ApiClient>;
}
export { K8SClientFactory };
